/**
 * @fileoverview A rule to disallow calls to the Array constructor
 * @author Matt DuVall <http://www.mattduvall.com/>
 */

//------------------------------------------------------------------------------
// Rule Definition
//------------------------------------------------------------------------------

module.exports = function(context) {

    "use strict";

    return {

        "NewExpression": function(node) {
            if (node.callee.name === "Array") {
                context.report(node, "The array literal notation [] is preferrable.");
            }
        }
    };

};
